Ticket #683 (closed task: wontfix)

Opened 11 years ago

Last modified 10 years ago

find 32-bit-only locker software that won't work on 64-bit machines

Reported by: geofft Owned by:
Priority: low Milestone: Natty Alpha
Component: -- Keywords:
Cc: Fixed in version:
Upstream bug:

Description

I made a first-order estimate of libraries that don't exist in 32-bit compatibility versions on 64-bit systems at  /mit/geofft/debathena/missing-32bit-libraries.txt.

   debathena / release-team@ / jdreed  20:56  (This zephyr does not necessarily
       Given the size of the list, I kind of wonder if including it anywhere
       is even remotely useful
[...]
   debathena / release-team@ / geofft  21:04  (Geoffrey Thomas)
       We could also run the awesomely sketchy thing that generated
       debathena-athena-libraries on a second pass, and have it print the
       names of programs that don't have amd64 arch versions and depend on
       missing libraries                            
   debathena / release-team@ / jdreed  21:05  (This zephyr does not necessarily 
       Can you file a ticket for that if you think it's a good idea

Change History

comment:1 Changed 11 years ago by jdreed

  • Priority changed from normal to low

I suspect the answer here is "Document and move on", but where is this awesomely sketchy thing that generated debathena-athena-libraries?

comment:2 Changed 10 years ago by jdreed

  • Status changed from new to closed
  • Resolution set to wontfix

According to /mit/outland/share/whichlocker/program-list, the only affected programs using libraries on geofft's list are:

/mit/kde/bin/k* due to libdns_sd.so
/mit/sipb/bin/micq: libtcl8.4
/mit/tcl/bin/ical: libtk8.4.so libtcl8.4.so
/mit/tcl/bin/tclsh: libtcl8.4.so
/mit/tcl/bin/expect: libtcl8.4.so
/mit/tcl/bin/wish: libtk8.4.so libtcl8.4.so
/mit/tcl/bin/expectk: libtk8.4.so libtcl8.4.so
/mit/tcl/bin/wish8.4: libtk8.4.so libtcl8.4.so
/mit/tcl/bin/tclsh8.4: libtcl8.4.so
/mit/tcl/bin/ical-2.3: libtk8.4.so libtcl8.4.so

With the exception of micq, I assert these are non-issues, because tcl8.4 and kcrap are both in the release.

Note: See TracTickets for help on using tickets.